package com.sooka.sponest.monitor.aideviceevent.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * AI对应事件对象 centerdata_t_aideviceevent
 *
 * @author yy
 * @date 2022-09-01
 */
public class CenterdataTAideviceevent extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 设备类型（字典） */
    @Excel(name = "设备类型", readConverterExp = "字=典")
    private String aideviceType;

    /** 设备code */
    @Excel(name = "设备code")
    private String deviceCode;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 事件类型 */
    @Excel(name = "事件类型")
    private String eventType;

    /** 事件类型名称 */
    @Excel(name = "事件类型名称")
    private String eventTypeName;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String createName;

    /** 更新人名称 */
    @Excel(name = "更新人名称")
    private String updateName;

    /** 数据状态(可用 、不可用 ) 字典 */
    @Excel(name = "数据状态(可用 、不可用 ) 字典")
    private String dataStatus;

    /** 数据所属部门id */
    @Excel(name = "数据所属部门id")
    private Long deptId;

    /** 数据所属部门名称 */
    @Excel(name = "数据所属部门名称")
    private String deptName;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setAideviceType(String aideviceType)
    {
        this.aideviceType = aideviceType;
    }

    public String getAideviceType()
    {
        return aideviceType;
    }
    public void setDeviceCode(String deviceCode)
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode()
    {
        return deviceCode;
    }
    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }
    public void setDeviceName(String deviceName)
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName()
    {
        return deviceName;
    }
    public void setEventType(String eventType)
    {
        this.eventType = eventType;
    }

    public String getEventType()
    {
        return eventType;
    }
    public void setEventTypeName(String eventTypeName)
    {
        this.eventTypeName = eventTypeName;
    }

    public String getEventTypeName()
    {
        return eventTypeName;
    }
    @Override
    public void setCreateName(String createName)
    {
        this.createName = createName;
    }
    @Override
    public String getCreateName()
    {
        return createName;
    }
    @Override
    public void setUpdateName(String updateName)
    {
        this.updateName = updateName;
    }
    @Override
    public String getUpdateName()
    {
        return updateName;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aideviceType", getAideviceType())
            .append("deviceCode", getDeviceCode())
            .append("deviceId", getDeviceId())
            .append("deviceName", getDeviceName())
            .append("eventType", getEventType())
            .append("eventTypeName", getEventTypeName())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateName", getUpdateName())
            .append("updateTime", getUpdateTime())
            .append("dataStatus", getDataStatus())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
